# 45. Mutation: Benutzerdaten speichern

Mutation zum Festlegen der Benutzereinstellungen. Die Mutation setzt nur die angeforderten Attribute.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveUserDataSample {
  saveUserData(
    input: {
      language: en
      areaUnit: ACRES
      soilDatasetClassesAmount: 6
    }
  ) {
    uuid
    email
    Flächeneinheit
    Sprache
    AnzahlBodenDatasetKlassen
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/45.-mutation-benutzerdaten-speichern.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
